# Uses of Class
java.security.cert.CertificateNotYetValidException

Packages that use CertificateNotYetValidException
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.

## Uses of CertificateNotYetValidException in java.security.cert

Methods in java.security.cert that throw CertificateNotYetValidException
Modifier and Type
Method
Description
`abstract void`
X509Certificate.`checkValidity()`
Checks that the certificate is currently valid.
`abstract void`
X509Certificate.`checkValidity​(Date date)`
Checks that the given date is within the certificate's validity period.